org.jboss.logging

## Annotation Type Field

- Deprecated.
  Use org.jboss.logging.annotations.Field provided in module org.jboss.logging:jboss-logging-annotations

      @Retention(value=CLASS)
      @Target(value=PARAMETER)
      @Documented
      @Deprecated
      public @interface Field

  Indicate that a method parameter value should be applied to a field on the resultant exception object.
  Author:
    David M. Lloyd

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `name` Deprecated. The field name.

- - ### Element Detail

    - #### name

          public abstract String name

      Deprecated.
      The field name. If not specified, the parameter name is assumed to be the field name.
      Returns:
        the field name
      Default:
        ""

Copyright © 2015. All rights reserved.